import { Commitment } from '@solana/rpc-types';
import { KeyPath } from './tree-traversal.js';
export type ParamsPatcherConfig = Readonly<{
    defaultCommitment?: Commitment;
    onIntegerOverflow?: (methodName: string, keyPath: KeyPath, value: bigint) => void;
}>;
export declare function getParamsPatcherForSolanaLabsRpc(config?: ParamsPatcherConfig): <T>(rawParams: T, methodName: string) => unknown;
//# sourceMappingURL=params-patcher.d.ts.map