import type { IRpcApiMethods } from '@solana/rpc-transport';
import { Commitment } from '@solana/rpc-types';
import { Slot } from './common.js';
type GetBlocksApiResponse = Slot[];
export interface GetBlocksApi extends IRpcApiMethods {
    /**
     * Returns a list of confirmed blocks between two slots
     */
    getBlocks(startSlot: Slot, endSlotInclusive?: Slot, config?: Readonly<{
        commitment?: Exclude<Commitment, 'processed'>;
    }>): GetBlocksApiResponse;
}
export {};
//# sourceMappingURL=getBlocks.d.ts.map